Your organisation
Read-only views of your organisation for any member: its details, the licences it has, whether it's licensed for an app, its people, groups and domains. (Changing them is in the Admin Centre API.)
| Method | Path | Summary |
|---|---|---|
| GET | /v1/tenant/info | Get your organisation |
| GET | /v1/tenant/licenses | Your organisation's licences |
| POST | /v1/tenant/check-license | Is the organisation licensed for an app? |
| GET | /v1/tenant/users | People in your organisation |
| GET | /v1/tenant/groups | Groups in your organisation |
| POST | /v1/tenant/groups/members | Members of a group |
| GET | /v1/tenant/domains | Your organisation's domains |
| GET | /tenant/info | Get your organisation (legacy) |
| GET | /tenant/licenses | Your organisation's licences (legacy) |
| POST | /tenant/check-license | Is the organisation licensed for an app? (legacy) |
#Get your organisation
GET
/v1/tenant/info- Address
https://<your-org>.brambleit.cloud/api/v1/tenant/info- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Response 200
| Field | Type | Description |
|---|---|---|
tenant | any |
Example response
JSON
{
"tenant": null
}Errors
| Status | Message |
|---|---|
| 404 | User not found |
| 404 | Tenant not found |
Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/v1/tenant/info' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v1/tenant/info', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/api/v1/tenant/info",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/api/v1/tenant/info' -Headers $headers#Your organisation's licences
GET
/v1/tenant/licenses- Address
https://<your-org>.brambleit.cloud/api/v1/tenant/licenses- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Response 200
| Field | Type | Description |
|---|---|---|
user | object | |
user.id | integer | |
user.email | string | |
tenant | any | |
licensedApplications | array of any |
Example response
JSON
{
"user": {
"id": 42,
"email": "alex@example.com"
},
"tenant": null,
"licensedApplications": []
}Errors
| Status | Message |
|---|---|
| 404 | User not found |
| 404 | Tenant not found |
Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/v1/tenant/licenses' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v1/tenant/licenses', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/api/v1/tenant/licenses",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/api/v1/tenant/licenses' -Headers $headers#Is the organisation licensed for an app?
POST
/v1/tenant/check-license- Address
https://<your-org>.brambleit.cloud/api/v1/tenant/check-license- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Request body JSON
| Name | Type | Description |
|---|---|---|
application_id | integer | The app's id (e.g. 2 for RMM, 7 for PSA). |
Response 200
| Field | Type | Description |
|---|---|---|
message | string | |
licensed | boolean | |
user | object | |
user.id | integer | |
user.email | string | |
tenant | any | |
application | object | |
application.application_id | integer | |
application.application_name | string | |
application.application_link | any | |
application.application_logo | any | |
license | object | |
license.package_id | integer | |
license.package_name | string | |
license.package_description | string | |
license.license_expiry | any |
Example response
JSON
{
"message": "Saved",
"licensed": false,
"user": {
"id": 42,
"email": "alex@example.com"
},
"tenant": null,
"application": {
"application_id": 7,
"application_name": "Example application name",
"application_link": null,
"application_logo": null
},
"license": {
"package_id": 7,
"package_name": "Example package name",
"package_description": "string",
"license_expiry": null
}
}Errors
| Status | Message |
|---|---|
| 404 | User not found |
| 404 | Tenant not found |
| 403 | User is not licensed for this application |
Example request
Bash
curl -X POST 'https://<your-org>.brambleit.cloud/api/v1/tenant/check-license' \
-H "X-API-Key: $BRAMBLE_KEY" \
-H "Content-Type: application/json" \
-d '{"application_id":7}'JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v1/tenant/check-license', {
method: 'POST',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY, 'Content-Type': 'application/json' },
body: JSON.stringify({"application_id":7}),
});
const data = await res.json();Python
import os, requests
r = requests.post(
"https://<your-org>.brambleit.cloud/api/v1/tenant/check-license",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
json={"application_id":7},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
$body = '{"application_id":7}'
Invoke-RestMethod -Method POST -Uri 'https://<your-org>.brambleit.cloud/api/v1/tenant/check-license' -Headers $headers -ContentType 'application/json' -Body $body#People in your organisation
GET
/v1/tenant/users- Address
https://<your-org>.brambleit.cloud/api/v1/tenant/users- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Response 200
| Field | Type | Description |
|---|---|---|
message | string |
Example response
JSON
{
"message": "Saved"
}Errors
| Status | Message |
|---|---|
| 404 | User not found |
Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/v1/tenant/users' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v1/tenant/users', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/api/v1/tenant/users",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/api/v1/tenant/users' -Headers $headers#Groups in your organisation
GET
/v1/tenant/groups- Address
https://<your-org>.brambleit.cloud/api/v1/tenant/groups- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Response 200
| Field | Type | Description |
|---|---|---|
groups | array of object | |
groups[].group_id | integer | |
groups[].group_name | string | |
groups[].members | boolean |
Example response
JSON
{
"groups": [
{
"group_id": 7,
"group_name": "Example group name",
"members": false
}
]
}Errors
| Status | Message |
|---|---|
| 400 | tenant_id missing on token |
Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/v1/tenant/groups' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v1/tenant/groups', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/api/v1/tenant/groups",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/api/v1/tenant/groups' -Headers $headers#Members of a group
POST
/v1/tenant/groups/members- Address
https://<your-org>.brambleit.cloud/api/v1/tenant/groups/members- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Request body JSON
| Name | Type | Description |
|---|---|---|
group_idrequired | integer | The group. |
Response 200
Errors
| Status | Message |
|---|---|
| 400 | tenant_id missing on token |
| 400 | group_id is required |
| 404 | Group not found for this tenant |
Example request
Bash
curl -X POST 'https://<your-org>.brambleit.cloud/api/v1/tenant/groups/members' \
-H "X-API-Key: $BRAMBLE_KEY" \
-H "Content-Type: application/json" \
-d '{"group_id":7}'JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v1/tenant/groups/members', {
method: 'POST',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY, 'Content-Type': 'application/json' },
body: JSON.stringify({"group_id":7}),
});
const data = await res.json();Python
import os, requests
r = requests.post(
"https://<your-org>.brambleit.cloud/api/v1/tenant/groups/members",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
json={"group_id":7},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
$body = '{"group_id":7}'
Invoke-RestMethod -Method POST -Uri 'https://<your-org>.brambleit.cloud/api/v1/tenant/groups/members' -Headers $headers -ContentType 'application/json' -Body $body#Your organisation's domains
GET
/v1/tenant/domains- Address
https://<your-org>.brambleit.cloud/api/v1/tenant/domains- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Response 200
| Field | Type | Description |
|---|---|---|
data | array of object | |
data[].domain | string |
Example response
JSON
{
"data": [
{
"domain": "string"
}
]
}Errors
| Status | Message |
|---|---|
| 404 | User not found |
| 404 | Group not found |
Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/v1/tenant/domains' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v1/tenant/domains', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/api/v1/tenant/domains",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/api/v1/tenant/domains' -Headers $headers#Get your organisation (legacy)
GET
/tenant/info- Address
https://<your-org>.brambleit.cloud/api/tenant/info- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Response 200
| Field | Type | Description |
|---|---|---|
tenant | any |
Example response
JSON
{
"tenant": null
}Errors
| Status | Message |
|---|---|
| 404 | User not found |
| 404 | Tenant not found |
Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/tenant/info' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/tenant/info', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/api/tenant/info",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/api/tenant/info' -Headers $headers#Your organisation's licences (legacy)
GET
/tenant/licenses- Address
https://<your-org>.brambleit.cloud/api/tenant/licenses- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Response 200
| Field | Type | Description |
|---|---|---|
user | object | |
user.id | integer | |
user.email | string | |
tenant | any | |
licensedApplications | array of any | |
areas | array of any | |
oidcApps | array of object | |
oidcApps[].client_id | string | |
oidcApps[].name | string | |
oidcApps[].launch_url | string, or null | |
oidcApps[].icon_url | string, or null | |
customLinks | array of object | |
customLinks[].id | integer | |
customLinks[].name | string | |
customLinks[].url | string | |
customLinks[].icon_url | string, or null |
Example response
JSON
{
"user": {
"id": 42,
"email": "alex@example.com"
},
"tenant": null,
"licensedApplications": [],
"areas": [],
"oidcApps": [
{
"client_id": "string",
"name": "Example name",
"launch_url": "https://example.com/…",
"icon_url": "https://example.com/…"
}
],
"customLinks": [
{
"id": 42,
"name": "Example name",
"url": "https://example.com/…",
"icon_url": "https://example.com/…"
}
]
}Errors
| Status | Message |
|---|---|
| 404 | User not found |
| 404 | Tenant not found |
Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/tenant/licenses' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/tenant/licenses', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/api/tenant/licenses",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/api/tenant/licenses' -Headers $headers#Is the organisation licensed for an app? (legacy)
POST
/tenant/check-license- Address
https://<your-org>.brambleit.cloud/api/tenant/check-license- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Request body JSON
| Name | Type | Description |
|---|---|---|
application_id | integer |
Response 200
| Field | Type | Description |
|---|---|---|
message | string | |
licensed | boolean | |
user | object | |
user.id | integer | |
user.email | string | |
tenant | any | |
application | object | |
application.application_id | integer | |
application.application_name | string | |
application.application_link | any | |
application.application_logo | any | |
license | object | |
license.package_id | integer | |
license.package_name | string | |
license.package_description | string | |
license.license_expiry | any |
Example response
JSON
{
"message": "Saved",
"licensed": false,
"user": {
"id": 42,
"email": "alex@example.com"
},
"tenant": null,
"application": {
"application_id": 7,
"application_name": "Example application name",
"application_link": null,
"application_logo": null
},
"license": {
"package_id": 7,
"package_name": "Example package name",
"package_description": "string",
"license_expiry": null
}
}Errors
| Status | Message |
|---|---|
| 404 | User not found |
| 404 | Tenant not found |
| 403 | User is not licensed for this application |
Example request
Bash
curl -X POST 'https://<your-org>.brambleit.cloud/api/tenant/check-license' \
-H "X-API-Key: $BRAMBLE_KEY" \
-H "Content-Type: application/json" \
-d '{"application_id":7}'JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/tenant/check-license', {
method: 'POST',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY, 'Content-Type': 'application/json' },
body: JSON.stringify({"application_id":7}),
});
const data = await res.json();Python
import os, requests
r = requests.post(
"https://<your-org>.brambleit.cloud/api/tenant/check-license",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
json={"application_id":7},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
$body = '{"application_id":7}'
Invoke-RestMethod -Method POST -Uri 'https://<your-org>.brambleit.cloud/api/tenant/check-license' -Headers $headers -ContentType 'application/json' -Body $bodyWas this page helpful?
Thanks for your feedback.